Subject: Re: [PATCH v2] format-patch: fix From header in cover letter

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2026 10:11:38 -0800

Jeff King <[email-masked]> writes:

>> I use it myself and I really hate the way it lists the patches.  We
>> should have done "log --oneline --reverse" instead of "shortlog", as
>> it is hard to understand the reference the cover letter message
>> makes to individual patches like "the first two patches do X", etc.
>
> Agreed. I have long hated the shortlog version. According to the commit
> history of my personal scripts, I've been sending with:
>
>    [1/3]: subject of the first patch
>    [2/3]: the second patch
>    [3/3]: and so on
>
> since at least 2009, and nobody has complained. ;)
> ...
> But anyway, if this were happening internally in format-patch's
> cover-letter code, it should be quite easy to do (we have the complete
> list of patches and their subjects there already).

A good bite-sized #leftoverbits project for somebody relatively new
to the codebase, perhaps.

Thanks.